#!/bin/bash
# created by extremis 20080303

macfile=/etc/stealthmac

if [ -f ${macfile} ]; then
	if grep -E '^([0-9A-Fa-f]{2}([:-]|$)){6}$' /etc/stealthmac >/dev/null; then
		cat /etc/stealthmac | while read -r line; do
			result=`echo ${line} | grep -E '^([0-9A-Fa-f]{2}([:-]|$)){6}$'`
			if [ -z ${result} ]; then
				echo ${line}
				continue
			else
				echo "MAC: $result"

				/usr/bin/ifconfig en0 up lladdr ${result}
				break
			fi
		done
	else
		echo "Invalid MAC address specified in /etc/stealthmac"
	fi
else
	echo "The config (${macfile}) does not exist"
fi
